diff --git a/examples/ble_peripheral/ble_app_hrs/main.c b/examples/ble_peripheral/ble_app_hrs/main.c
index 1c0f4a8..43cc070 100644
--- a/examples/ble_peripheral/ble_app_hrs/main.c
+++ b/examples/ble_peripheral/ble_app_hrs/main.c
@@ -760,6 +760,7 @@ static void on_adv_evt(ble_adv_evt_t ble_adv_evt)
 static void ble_evt_handler(ble_evt_t const * p_ble_evt, void * p_context)
 {
     ret_code_t err_code;
+    int8_t rssi;
 
     switch (p_ble_evt->header.evt_id)
     {
@@ -768,6 +769,13 @@ static void ble_evt_handler(ble_evt_t const * p_ble_evt, void * p_context)
             err_code = bsp_indication_set(BSP_INDICATE_CONNECTED);
             APP_ERROR_CHECK(err_code);
             m_conn_handle = p_ble_evt->evt.gap_evt.conn_handle;
+            err_code = sd_ble_gap_rssi_start(m_conn_handle, 1, 1);
+            APP_ERROR_CHECK(err_code);
+            break;
+
+        case BLE_GAP_EVT_RSSI_CHANGED:          //block added by _OP
+            sd_ble_gap_rssi_get(p_ble_evt->evt.gap_evt.conn_handle, &rssi);
+            NRF_LOG_INFO("rssi =%d dBm", rssi);
             break;
 
         case BLE_GAP_EVT_DISCONNECTED:
